# Copyright (c) 2020, JINGROW
# For license information, please see license.txt


import jingrow

from jcloud.jcloud.pagetype.site.site import release_name


def execute():
	jingrow.reload_pg("jcloud", "pagetype", "site")
	sites = jingrow.get_all("Site", filters={"status": "Archived"})
	for site in sites:
		release_name(site.name)
		jingrow.db.commit()
